This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 101971 - RFE: Allow for easier to perform downgrade ix86 installs
RFE: Allow for easier to perform downgrade ix86 installs
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-08 09:50 EDT by Jef Spaleta
Modified: 2008-08-02 19:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-20 23:42:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2003-08-08 09:50:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
What exactly do i think is a good idea?
Perhaps having the ability to select a lessor compatible arch when installing on
a machine...example  being able to select i586 install when installing on an
i686 machine...maybe a kernel boot parameter

Why on earth would I think thats a good idea?
The minimum memory requirement to do a a red hat linux install seems to me much
higher than the minimum memory of using red hat linux for some dedicated
purposes. I find when I'm installing on old hardware, for dedicated tasked
machine, I can't actually install a minimal rhl9 install on that hardware. I
have to install rh9 using a beefier machine then move the harddrive over.

Normally that beefier machine is also a higher ix86 processor arch...so i end up
having to downgrade things like the kernel rpm by hand before switching the
harddrive back to the box its suppose to be on.  Being able to select i586 when
i'm installing on an athlon, would make it marginally easier for me to swap that
harddrive back into the old box without issue. 

But I do grant you this is of small marginal benifit in my specific situation,
so I won't be too hurt if its not worth the effort to implement. But maybe there
are other situations where this type of install option fits.






Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
N/A
1.
2.
3.
    

Additional info:
Comment 1 Jeremy Katz 2003-08-13 19:31:07 EDT
Added in cvs.  Add "rpmarch=i586" to your kernel command line (or similar). 
Note that this will allow you to completely shoot yourself in the foot if you do
something like "rpmarch=sparc"
Comment 2 Joe Pruett 2005-04-22 21:48:52 EDT
this function almost works in later versions.  here is a patch for rhel4 that
makes it work again:

--- iutil.py    2002-12-16 16:52:35.000000000 -0800
+++ /home/updates/centos/4/dist/RHupdates/iutil.py      2005-04-22
17:00:13.000000000 -0700
@@ -661,11 +661,14 @@
     f = open("/proc/cmdline", "r")
     buf = f.read()
     f.close()
-    args = buf.split(" ")
+    args = buf.split()
     for arg in args:
         if arg.startswith("rpmarch="):
             myarch = arg[8:]
-
+
+    # now make the current install believe it, too
+    rhpl.arch.canonArch = myarch
+
     f = open("%s/etc/rpm/platform" %(root,), 'w+')
     f.write("%s-redhat-linux\n" %(myarch,))
     f.close()
Comment 5 Bill Nottingham 2006-08-05 01:09:41 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.

Note You need to log in before you can comment on or make changes to this bug.